## org.apache.batik.bridge
Class SVGTextElementBridge.AttributedStringBuffer

    java.lang.Object
      org.apache.batik.bridge.SVGTextElementBridge.AttributedStringBuffer

Enclosing class:
  SVGTextElementBridge

protected static class SVGTextElementBridge.AttributedStringBuffer
extends java.lang.Object

This class is used to build an AttributedString.

Field Summary
`protected java.util.List` `attributes` The attributes.
`protected int` `count` The number of items.
`protected int` `length` The length of the attributed string.
`protected java.util.List` `strings` The strings.

Constructor Summary
`SVGTextElementBridge.AttributedStringBuffer()` Creates a new empty AttributedStringBuffer.

Method Summary
`void` `append(java.lang.String s, java.util.Map m)` Appends a String and its associated attributes.
`int` `getLastChar()` Returns the value of the last char or -1.
`boolean` `isEmpty()` Tells whether this AttributedStringBuffer is empty.
`int` `length()` Returns the length in chars of the current Attributed String
`void` `stripLast()` Strips the last string last character.
`java.text.AttributedString` `toAttributedString()` Builds an attributed string from the content of this buffer.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### strings

    protected java.util.List strings

  The strings.

### attributes

    protected java.util.List attributes

  The attributes.

### count

    protected int count

  The number of items.

### length

    protected int length

  The length of the attributed string.

Constructor Detail

### SVGTextElementBridge.AttributedStringBuffer

    public SVGTextElementBridge.AttributedStringBuffer()

  Creates a new empty AttributedStringBuffer.

Method Detail

### isEmpty

    public boolean isEmpty()

  Tells whether this AttributedStringBuffer is empty.

### length

    public int length()

  Returns the length in chars of the current Attributed String

### append

    public void append(java.lang.String s,
                       java.util.Map m)

  Appends a String and its associated attributes.

### getLastChar

    public int getLastChar()

  Returns the value of the last char or -1.

### stripLast

    public void stripLast()

  Strips the last string last character.

### toAttributedString

    public java.text.AttributedString toAttributedString()

  Builds an attributed string from the content of this buffer.

### toString

    public java.lang.String toString()

Copyright © 2004 Apache Software Foundation. All Rights Reserved.